Summary: Library for reading lines from a terminal
Name: readline

%global momorel 4

Version: 4.3
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://cnswww.cns.cwru.edu/~chet/readline/rltop.html

%NoSource 0 ftp://ftp.gnu.org/gnu/readline/readline-4.3.tar.gz f86f7cb717ab321fe15f1bbcb058c11e

Patch0: readline-4.3-strpbrk.patch
Patch1: readline-4.3-avoid-loop.patch

BuildPreReq: autoconf >= 2.50
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Prereq: info

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package devel
Summary: file for developing programs that use the readline library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure
%make static shared

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%__chmod 755 %{buildroot}%{_libdir}/*.so*
%__rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/history.info.* %{_infodir}/dir 
/sbin/install-info %{_infodir}/readline.info.* %{_infodir}/dir
/sbin/install-info %{_infodir}/rluserman.info.* %{_infodir}/dir

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/history.info.* %{_infodir}/dir 
   /sbin/install-info --delete %{_infodir}/readline.info.* %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/rluserman.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc COPYING README MANIFEST INSTALL CHANGELOG CHANGES USAGE
%{_mandir}/*/*
%{_infodir}/*info*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc examples
%{_includedir}/readline
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (4.3-4m)
- revised spec for rpm 4.2.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (4.3-3m)
- pretty spec file.

* Fri Nov 15 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (4.3-3m)
- add readline-4.3-avoid-loop.patch

* Fri Jul 26 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (4.3-2m)
- add readline-4.3-strpbrk.patch for more i18n support
- some cleanup stuff

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.3-1m)
  update to 4.3

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (4.1-22k)

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (4.1-20k)
- add BuildPreReq: autoconf >= 2.52-8k

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (4.1-18k)
- updated Source0 URL

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag
- fix ChangeLog to changelog

* Mon May  7 2001 Akira Higuchi <a@kondara.org>
- (4.1-12k)
- readline-20000814.patch

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun May 7 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- fix i18n patch (fix riskness of buffer over flow. not link termcap anymore). 
- fix SPEC file ( %clean ) 

* Sun May 7 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- fix i18n patch ( forward_word & backward_word )

* Sat May 6 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- fix i18n patch. 

* Sat May 6 2000 Fumihiko Takayama <tekezo@catv296.ne.jp>
- update to 4.1
- i18n ( but still beta )

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Sep 28 1999 Jun Nishii <jun@flatout.org>
- EUC code

* Wed Sep 22 1999 Jun Nishii <jun@flatout.org>
- added %defattr in -devel...

* Mon Sep 20 1999 Jun Nishii <jun@flatout.org>
- added %defattr

* Fri Sep 3 1999 Jun Nishii <jun@flatout.org>
- build for Vine-1.9

* Thu Nov 25 1998 Jun Nishii <jun@flatout.org>
- fix soname of libreadline

* Thu Nov 12 1998 Jun Nishii <jun@flatout.org>
- fix sym links of libraries

* Sun Oct 11 1998 Jun Nishii <jun@flatout.org>
- add documents

* Sun Sep 27 1998 Jun Nishii <jun@flatout.org>
- updated to 2.2.1 with Japanese patch

* Sun Sep 27 1998 Jun Nishii <jun@flatout.org>
- updated to 2.2.1 with Japanese patch

* Wed May 06 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package %{_infodir}/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
